package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.purchase.dto.PurchaseBoardSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseBomBoardVo;
import com.sd.business.service.purchase.PurchaseBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 采购看板
 */
@RestController
@RequestMapping("/purchaseBomBoard")
public class purchaseBomBoardController {

    @Autowired
    private PurchaseBomService purchaseBomService;


    /**
     * 采购看板 分页
     */
    @PostMapping("/page")
    public Page<PurchaseBomBoardVo> page(@RequestBody PurchaseBoardSelectDto dto) {
        return purchaseBomService.getPurchaseBoardPage(dto);
    }
}
