package com.sd.business.entity.bom.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * bom规格更新配货看板排序入参实体
 */
@Getter
@Setter
public class BomSpecUpdateBoardSortDto {

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long id;

    /**
     * 当前排序
     */
    @NotNull(message = "当前排序不能为空")
    private Integer currentSort;
}
