package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderExchangeDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 订单退换货明细列表查询返回值实体
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
public class OrderExchangeDetailVo extends OrderExchangeDetail {

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 购买数量
     */
    private BigDecimal buyQuantity;

}
