package com.sd.business.entity.purchase.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购看板返回值实体
 */
@Getter
@Setter
public class PurchaseBomBoardVo {


    /**
     * bomSpec id
     */
    private Long bomSpecId;

    /**
     * 规格品名
     */
    private String bomSpecName;

    /**
     * 规格品号
     */
    private String bomSpecCode;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 当前库存数量
     */
    private BigDecimal inventoryQuantity;

    /**
     * 安全库存数量
     */
    private BigDecimal safetyInventoryQuantity;


    /**
     * 消耗数量近七天
     */
    private BigDecimal outStorageQuantitySevenDays;

    /**
     * 消耗数量近十五天
     */
    private BigDecimal outStorageQuantityFifteenDays;

    /**
     * 消耗数量近三十天
     */
    private BigDecimal outStorageQuantityThirtyDays;

    /**
     * 消耗数量近六十天
     */
    private BigDecimal outStorageQuantitySixtyDays;

    /**
     * 周环比消量
     */
    private BigDecimal outStorageWeekOnWeekRatio;

    /**
     * 预计消耗天
     */
    private Integer predictOutStorageDays;

    /**
     * 在途总数
     */
    private BigDecimal inTransitSum;

    /**
     * 下一批到货天数
     */
    private Integer nextDeliveryDays;
}
