package com.sd.business.entity.statement.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
public class ReconciliationDetailVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 产品总金额
     */
    private BigDecimal productTotalAmount;

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    private BigDecimal packingLabor;

    /**
     * 包材费
     */
    private BigDecimal packagingMaterialCost;

    /**
     * 管理费
     */
    private BigDecimal managementFee;

    /**
     * 外箱包装费
     */
    private BigDecimal outerBoxPackingFee;

}
