package com.sd.business.service.packaging;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.vo.BomSpecVo;
import com.sd.business.entity.packaging.dto.PackagingAssemblyDto;
import com.sd.business.entity.packaging.dto.PackagingAssemblySelectDto;
import com.sd.business.entity.packaging.po.PackagingAssembly;
import com.sd.business.entity.packaging.vo.PackagingAssemblyVo;

import java.util.List;

/**
 * <p>
 * 包装组合 服务类
 * </p>
 *
 * @author
 * @since 2023-09-12
 */
public interface PackagingAssemblyService extends BaseService<PackagingAssembly> {
    /**
     * 包装组合分页
     */
    Page<PackagingAssemblyVo> getPage(PackagingAssemblySelectDto dto);

    /**
     * 包装组合新增
     */
    void add(PackagingAssemblyDto dto);

    /**
     * 包装组合编辑
     */
    void edit(PackagingAssemblyDto dto);

    /**
     * 包装组合删除
     */
    void delete(Long id);

    /**
     * 包装组合bom规格 列表
     * @param dto
     * @return
     */
    List<BomSpecVo> getPackagingBomSpecList(BaseSelectDto dto);
}
