package com.sd.business.entity.in.dto;

import com.sd.business.entity.in.po.InOutStorageBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class CorrectionDto {

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<InOutStorageBom> inOutStorageBomList;

}
