package com.sd.business.entity.packaging.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 包装组合 bom 关联
 * </p>
 *
 * @author
 * @since 2023-09-12
 */
@Getter
@Setter
@TableName("packaging_assembly_bom")
public class PackagingAssemblyBom extends BasePo {

    /**
     * 包装组合id
     */
    private Long packagingAssemblyId;

    /**
     * bom规格id
     */
    private Long bomSpecId;
}
