package com.sd.business.entity.purchase.dto;

import com.fjhx.file.entity.ObsFile;
import com.sd.business.entity.purchase.po.Purchase;
import com.sd.business.entity.purchase.po.PurchaseBom;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 采购合同新增编辑入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class PurchaseDto extends Purchase {

    /**
     * 采购详情数据
     */
    private List<PurchaseBom> purchaseBomList;

    /**
     * 附件列表
     */
    private List<ObsFile> fileList;

}
