package com.sd.business.entity.statement.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
public class DocumentBySkuVo {

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * sku品名
     */
    private String skuSpecName;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * sku单价
     */
    private BigDecimal unitPrice;

    /**
     * 小计
     */
    private BigDecimal subtotal;

    /**
     * 合计
     */
    private BigDecimal total;

    /**
     * 占位符
     */
    private Integer placeholder;

    /**
     * 订单id
     */
    private Long orderId;

}
