package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderExchange;
import com.sd.business.entity.order.vo.OrderExchangeVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单退换货 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
public interface OrderExchangeMapper extends BaseMapper<OrderExchange> {

    /**
     * 订单退换货分页
     */
    Page<OrderExchangeVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderExchange> wrapper);

}
