package com.sd.business.mapper.packaging;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.packaging.po.PackagingAssembly;
import com.sd.business.entity.packaging.vo.PackagingAssemblyVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 包装组合 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-12
 */
public interface PackagingAssemblyMapper extends BaseMapper<PackagingAssembly> {

    Page<PackagingAssemblyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackagingAssembly> wrapper);
}
