package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderExchangeDto;
import com.sd.business.entity.order.dto.OrderExchangeSelectDto;
import com.sd.business.entity.order.po.OrderExchange;
import com.sd.business.entity.order.vo.OrderExchangeVo;


/**
 * <p>
 * 订单退换货 服务类
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
public interface OrderExchangeService extends BaseService<OrderExchange> {

    /**
     * 订单退换货分页
     */
    Page<OrderExchangeVo> getPage(OrderExchangeSelectDto dto);

    /**
     * 订单退换货明细
     */
    OrderExchangeVo detail(Long id);

    /**
     * 订单退换货新增
     */
    void add(OrderExchangeDto orderExchangeDto);

    /**
     * 订单退换货删除
     */
    void delete(Long id);

}
